%define majver %(echo %version | cut -d. -f1-2)
Name:          geoclue
Version:       2.7.1
Release:       3mamba
Summary:       A modular geoinformation service
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.freedesktop.org/wiki/Software/GeoClue/
Source0:       https://gitlab.freedesktop.org/geoclue/geoclue/-/archive/%{version}/geoclue-%{version}.tar.bz2
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libavahi-devel
BuildRequires: libavahi-glib-devel
BuildRequires: libglib-devel
BuildRequires: libjson-glib-devel
BuildRequires: libmm-devel
BuildRequires: libnotify-devel
BuildRequires: libsoup-devel
## AUTOBUILDREQ-END
BuildRequires: glib-tools
Requires:      dbus

%description
Geoclue is a modular geoinformation service built on top of the D-Bus messaging system. The goal of the Geoclue project is to make creating location-aware applications as simple as possible.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared librarires for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description  -n lib%{name}
Geoclue is a modular geoinformation service built on top of the D-Bus messaging system. The goal of the Geoclue project is to make creating location-aware applications as simple as possible.
This package contains  the shared libraries.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Libraries and headers for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Provides:      geoclue-devel
Obsoletes:     geoclue-devel < 2.6.0

%description -n lib%{name}-devel
Geoclue is a modular geoinformation service built on top of the D-Bus messaging system. The goal of the Geoclue project is to make creating location-aware applications as simple as possible.
This package contains libraries and header files needed for development.

%package apidocs
Group:         Documentation
Summary:       %{name} API documentation
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      gtk-doc

%description apidocs
This package includes the %{name} API documentation.

%debug_package

%prep
%setup -q -n geoclue-%{version}

%build
%meson \
   -Dgtk-doc=true

%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%preun
%systemd_preun geoclue
:

%post
%systemd_post geoclue
:

%postun
%systemd_postun_with_restart geoclue
:

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_sysconfdir}/xdg/autostart/geoclue-demo-agent.desktop
%config(noreplace) %{_sysconfdir}/geoclue/geoclue.conf
%{_unitdir}/geoclue.service
%{_datadir}/dbus-1/system-services/org.freedesktop.GeoClue2.service
%{_datadir}/dbus-1/system.d/org.freedesktop.GeoClue2.Agent.conf
%{_datadir}/dbus-1/system.d/org.freedesktop.GeoClue2.conf
%{_datadir}/dbus-1/interfaces/org.freedesktop.GeoClue2*.xml
%{_datadir}/polkit-1/rules.d/org.freedesktop.GeoClue2.rules
%{_datadir}/applications/geoclue-demo-agent.desktop
%{_datadir}/applications/geoclue-where-am-i.desktop
%{_mandir}/man5/geoclue.5*

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libgeoclue-2.so.*
%{_libdir}/girepository-1.0/Geoclue-2.0.typelib
%{_libexecdir}/geoclue
%dir %{_libexecdir}/geoclue-2.0
%dir %{_libexecdir}/geoclue-2.0/demos
%{_libexecdir}/geoclue-2.0/demos/*

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/libgeoclue-2.0
%{_includedir}/libgeoclue-2.0/*
%{_libdir}/libgeoclue-2.so
%{_libdir}/pkgconfig/libgeoclue-2.0.pc
%{_libdir}/pkgconfig/geoclue-2.0.pc
%{_datadir}/vala/vapi/libgeoclue-2.0.deps
%{_datadir}/vala/vapi/libgeoclue-2.0.vapi
%{_datadir}/gir-1.0/Geoclue-2.0.gir

%files apidocs
%defattr(-,root,root)
%dir %{_datadir}/gtk-doc/html/geoclue
%{_datadir}/gtk-doc/html/geoclue/*
%dir %{_datadir}/gtk-doc/html/libgeoclue
%{_datadir}/gtk-doc/html/libgeoclue/*

%changelog
* Fri Apr 26 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 2.7.1-3mamba
- removed requirement for obsoleted python-glib and specfile review

* Fri Apr 26 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 2.7.1-2mamba
- removed requirement for obsoleted python-glib and specfile review

* Wed Sep 13 2023 Automatic Build System <autodist@mambasoft.it> 2.7.1-1mamba
- automatic version update by autodist

* Sat Jan 28 2023 Automatic Build System <autodist@mambasoft.it> 2.7.0-1mamba
- automatic version update by autodist

* Fri Mar 04 2022 Automatic Build System <autodist@mambasoft.it> 2.6.0-1mamba
- automatic version update by autodist

* Tue Jan 26 2021 Automatic Build System <autodist@mambasoft.it> 2.5.7-1mamba
- automatic version update by autodist

* Thu Mar 05 2020 Automatic Build System <autodist@mambasoft.it> 2.5.6-1mamba
- automatic version update by autodist

* Wed Oct 02 2019 Automatic Build System <autodist@mambasoft.it> 2.5.5-1mamba
- automatic version update by autodist

* Thu Aug 15 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 2.5.3-1mamba
- update to 2.5.3

* Sat Sep 17 2016 Automatic Build System <autodist@mambasoft.it> 2.4.4-1mamba
- automatic update by autodist

* Mon Jun 13 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.3-1mamba
- update to 2.4.3

* Wed Aug 20 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.9-1mamba
- update to 2.1.9

* Wed Jun 18 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.8-1mamba
- update to 2.1.8

* Sun May 25 2014 Automatic Build System <autodist@mambasoft.it> 1.99.4-1mamba
- automatic update by autodist

* Fri Nov 08 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.99.3-1mamba
- update to 1.99.3 (renamed to geoclue)

* Sun Jun 02 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 0.12.99-2mamba
- rebuild with gpsd 3.7

* Sat Apr 27 2013 Automatic Build System <autodist@mambasoft.it> 0.12.99-1mamba
- update to 0.12.99

* Wed Sep 05 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.12.0-4mamba
- added gcc 4.7 patch

* Mon Sep 19 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.12.0-3mamba
- rebuilt with NetworkManager 0.9

* Fri Feb 25 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.12.0-2mamba
- rebuilt in devel

* Tue Nov 09 2010 gil <puntogil@libero.it> 0.12.0-1mamba
- update to 0.12.0

* Wed Apr 01 2009 gil <puntogil@libero.it> 0.11.1-1mamba
- package created by autospec
